Subject: Re: bug#33250: 26.1.50; Unable to build emacs-26 branch out of tree on fedora 29

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Nov 2018 18:59:28 +0200

> From: [email-masked] (Pierre Téchoueyres)
> Cc: [email-masked]
> Date: Sat, 03 Nov 2018 17:30:43 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> I'm attaching the trace file of compilation output.
> >> [...]
> >>   GEN      ../etc/DOC
> >> loaddefs.el: No such file or directory
> >> make[1]: *** [Makefile:559: ../etc/DOC] Error 1
> >
> > I think the above is the root cause.  Where's loaddefs.el being
> > generated?
> >
> 
> I'm unable to find the file.
> I tried with the following command:
> find . -iname loaddefs.el in my ~/Travail/VCS/Emacs/emacs/emacs-26  directory
> It seems the generation of this file has failed.

Then Emacs should have loaded ldefs-boot.el instead, and I see in your
trace that it did.

Is your source tree clean?  Or was it used for another in-tree build?

Anyway, I cannot see what all this could have with your OS update.